# gpn23-recipes

software wo die rezepte ausm tandoor ins wiki tut oder csv für die frühstücksschildchen generiert.

## sicherheitshinweise

die skripte sind für alle einsatzzwecke nicht für eine vollautomatisierung gedacht. man kann damit zwar wiki-artikel erstellen, richtig hübsch werden diese aber erst mit manueller nachbereitung. man kann damit zwar eine vorversion des inputs für [die frühstücksbeschilderung](https://codeberg.org/Cs137/gbg) erstellen, eine manuelle korrektur und kontrolle ist aber immer notwendig, weil manche zutaten wie margarine oder gemüsebrühe immer nochmal auf die genauen inhaltsstoffe überprüft werden sollen (margarine kann milch enthalten, gemüsebrühe teilweise kennzeichnunspflichtige allergene wie sellerie).

## skripte

- `0_get_recipes.py` zieht json aus der tandoor api und speichert sie ab. wir haben uns hier für tandoors json-format entschieden, weil das schema.org's json zuviele wünsche offen gelassen hätte.
- `1_clean_json.py` reinigt das json
- `2_to_markdown.py` convertiert die rezepte in eine sinnvolle markdown-datei
- `3_to_mediawiki.py` wandelt das markdown in wikitext um
- `4_post_to_wiki.py` postet einzelne rezepte (oder `all`) in ein mediawiki
- `config_example.py` ist ein beispiel als vorlage für `config.py`

- `fruehstueck.py` erstellt eine manuell zu überprüfende vorversion des csv für [gbg](https://codeberg.org/Cs137/gbg)
- `report_allergene.py` erstellt ein csv zur durchsicht auf allergene

## allergene

stand 2025 haben wir allergene in tandoor in der description der zutaten ("foods") hinterlegt. dabei ist zu beachten, dass wir alle hinsichtlich der allergene uneindeutigen zutaten wie "gemüsebrühe" mit ~ "Verwendetes Produkt prüfen!" markiert haben; und dann in einem manuellen schritt überprüft haben.

---
Goulaschware License (Revision 42)

As long as you retain this notice you can do whatever you want with this stuff. If we meet some day, and you think this stuff is worth it, you can buy me a vegan goulasch in return.
